cURL
curl --request PATCH \ --url https://api.cekura.ai/test_framework/v1/test-profiles/{id}/ \ --header 'Content-Type: application/json' \ --header 'X-CEKURA-API-KEY: <api-key>' \ --data ' { "agent": 123, "project": 123, "name": "<string>", "information": {} } '
{ "id": 123, "agent": 123, "name": "<string>", "information": { "user_name": "<string>", "user_email": "<string>" } }
API Key Authentication. It should be included in the header of each request.
A unique integer value identifying this ai agent test profile.
ID of the agent. Either agent or project must be provided.
ID of the project. Either agent or project must be provided.
Name of the test profile
Information fields of the test profile
Show child attributes
255
Information fields for the test profile Example:
{ "user_name": "John Doe", "user_email": "john.doe@example.com",}